Index: pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/index.php	(revision 426)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/index.php	(revision 426)
@@ -0,0 +1,95 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method'=>$this->router->method, 'class'=>$this->router->class  ));
+?>
+<script type="text/javascript">
+    function init_page()
+    {
+        $(".ajax_paging").click(function () {
+            $.ajax({
+                url: $(this).attr("href"),
+                type: "POST",
+                data: $("#cardlog").serialize(),
+                success: function (data, textStatus, jqXHR)
+                {
+                    $("#content").html(data);
+                    init_page();
+                },
+                error: function (jqXHR, textStatus, errorThrown)
+                {
+                    $(".ajaxloading").hide();
+                }
+            });
+            return false;
+        });
+		$('#keyword').bind('input', function(){
+			filter();
+		});
+		
+		$( '.sorting, .sorting_desc, .sorting_asc' ).click(function( index ) {
+            var current_class=$( this ).attr('class');
+            $(".sorting_desc").attr("class","sorting");
+            $(".sorting_asc").attr("class","sorting");
+     
+            if(current_class=='sorting')
+            {
+                $(this).attr("class","sorting_desc");
+            }
+            else
+            {
+                if(current_class=='sorting_desc')
+                {
+                    $(this).attr("class","sorting_asc");
+                }
+                else
+                    {
+                    if(current_class=='sorting_asc')
+                    {
+                        $(this).attr("class","sorting");
+                    }
+                }
+            }
+            $("#sorting_field").val($(this).attr("id"));
+            $("#sorting_order").val($(this).attr("class"));
+            filter();
+        });
+	}
+	
+	function filter()
+	{
+		$.ajax({
+			url: 'http://viettel.violet.vn/admin/card_log/trang/1',
+			type: "POST",
+			data: $("#cardlog").serialize(),
+			success: function (data, textStatus, jqXHR)
+			{
+				console.log(data);
+				$("#content").html(data);
+				init_page();
+				$("#keyword").focus();
+				$("#keyword").setCursorToTextEnd();
+			},
+			error: function (jqXHR, textStatus, errorThrown)
+			{
+				console.log("ERROR");
+				$(".ajaxloading").hide();
+			}
+        });
+	}
+		
+</script>
+
+<div class="main-content" id="content">
+    <?php echo $content; ?>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs'=>array('assets/js/admin/smslog.js')));
+?>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 426)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 426)
@@ -0,0 +1,171 @@
+<div class="breadcrumbs" id="breadcrumbs">
+	<ul class="breadcrumb">
+		<li>
+			<i class="icon-home home-icon"></i>
+			<a href="#">Trang chá»§</a>
+		</li>
+		<li><a href="#">BÃ¡o cÃ¡o</a></li>
+		<li class="active">Card logs</li>
+	</ul><!-- .breadcrumb -->
+
+	<div class="nav-search" id="nav-search">
+		<form class="form-search">
+			<span class="input-icon">
+				<input type="text" placeholder="TÃ¬m kiáº¿m ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
+				<i class="icon-search nav-search-icon"></i>
+			</span>
+		</form>
+	</div><!-- #nav-search -->
+</div>
+
+<div class="page-content">
+
+	<div class="row">
+		<div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                Danh sÃ¡ch log
+            </div>
+			<!-- PAGE CONTENT BEGINS -->
+			<div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form onsubmit="return false;" id="cardlog" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                        <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                            <?php foreach ($itemsoptions as $option) { ?>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <?php } ?>
+                                        </select> báº£n ghi</label>
+
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+                                <div class="dataTables_filter" id="sample-table-2_filter">
+                                    <label>TÃ¬m kiáº¿m: 
+                                        <input type="text" name="keyword" id="keyword" value="<?php echo $keyword;?>" aria-controls="sample-table-2"></label>
+                                </div>
+                            </div>
+                        </div>
+                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
+                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
+                    </form>
+				<table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+					<thead>
+						<tr>
+							<th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+								<label>
+									<input type="checkbox" class="ace">
+									<span class="lbl"></span>
+								</label>
+								</th>
+							<th class="<?php if ($sorting_field == 'sender') {echo $sorting_order;} else {echo "sorting";} ?>" id="sender" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="NgÆ°á»i gá»­i: activate to sort column ascending">NgÆ°á»i gá»­i</th>
+							<th class="<?php if ($sorting_field == 'us_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="us_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="TÃ i khoáº£n: activate to sort column ascending">TÃ i khoáº£n</th>
+							<th class="<?php if ($sorting_field == 'pin_code') {echo $sorting_order;} else {echo "sorting";} ?>" id="pin_code" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MÃ£ pin: activate to sort column ascending">MÃ£ pin</th>
+							<th class="<?php if ($sorting_field == 'serial_number') {echo $sorting_order;} else {echo "sorting";} ?>" id="serial_number" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» seri: activate to sort column ascending">Sá» seri</th>
+							<th class="<?php if ($sorting_field == 'card_value') {echo $sorting_order;} else {echo "sorting";} ?>" id="card_value" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="GiÃ¡ trá» tháº» náº¡p: activate to sort column ascending">GiÃ¡ trá» tháº» náº¡p</th>
+							<th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";} ?>" id="created_time" class="hidden-480" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Thá»i gian: activate to sort column ascending">
+								<i class="icon-time bigger-110 hidden-480"></i>
+								Thá»i gian náº¡p
+							</th>
+
+							<th></th>
+						</tr>
+					</thead>
+
+					<tbody role="alert" aria-live="polite" aria-relevant="all">
+						<?php foreach ($cardlogs as $cardlog): ?>
+						<tr>
+							<td class="center">
+								<label>
+									<input type="checkbox" class="ace" />
+									<span class="lbl"></span>
+								</label>
+							</td>
+
+							<td>
+								<a href="#"><?php echo $cardlog['sender']; ?></a>
+							</td>
+							<td><?php echo $cardlog['username']; ?></td>
+							<td><?php echo $cardlog['pin_code']; ?></td>
+							<td><?php echo $cardlog['serial_number']; ?></td>
+							<td><?php echo $cardlog['card_value']; ?></td>
+							<td><?php echo $cardlog['created_time']; ?></td>
+
+							<td>
+								<div class="visible-md visible-lg hidden-sm hidden-xs btn-group">
+									<button class="btn btn-xs btn-success">
+										<i class="icon-ok bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-info">
+										<i class="icon-edit bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-danger">
+										<i class="icon-trash bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-warning">
+										<i class="icon-flag bigger-120"></i>
+									</button>
+								</div>
+
+								<div class="visible-xs visible-sm hidden-md hidden-lg">
+									<div class="inline position-relative">
+										<button class="btn btn-minier btn-primary dropdown-toggle" data-toggle="dropdown">
+											<i class="icon-cog icon-only bigger-110"></i>
+										</button>
+
+										<ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
+											<li>
+												<a href="#" class="tooltip-info" data-rel="tooltip" title="View">
+													<span class="blue">
+														<i class="icon-zoom-in bigger-120"></i>
+													</span>
+												</a>
+											</li>
+
+											<li>
+												<a href="#" class="tooltip-success" data-rel="tooltip" title="Edit">
+													<span class="green">
+														<i class="icon-edit bigger-120"></i>
+													</span>
+												</a>
+											</li>
+
+											<li>
+												<a href="#" class="tooltip-error" data-rel="tooltip" title="Delete">
+													<span class="red">
+														<i class="icon-trash bigger-120"></i>
+													</span>
+												</a>
+											</li>
+										</ul>
+									</div>
+								</div>
+							</td>
+						</tr>
+						<?php endforeach; ?>
+					</tbody>
+				</table>
+				<div class="row"><div class="col-sm-6">
+							<div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                                    
+							</div>
+							<div class="col-sm-6">
+								<div class="dataTables_paginate paging_bootstrap">
+									<ul class="pagination">
+										<?php echo $paging; ?>
+									</ul>
+								</div>
+							</div>
+						</div>
+			</div><!-- /.table-responsive -->
+
+			<!-- PAGE CONTENT ENDS -->
+		</div><!-- /.col -->
+	</div><!-- /.row -->
+</div><!-- /.page-content -->
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/index.php	(revision 426)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/index.php	(revision 426)
@@ -0,0 +1,96 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url, 'method'=>$this->router->method, 'class'=>$this->router->class  ));
+?>
+<script type="text/javascript">
+    function init_page()
+    {
+        $(".ajax_paging").click(function () {
+            $.ajax({
+                url: $(this).attr("href"),
+                type: "POST",
+                data: $("#smslog").serialize(),
+                success: function (data, textStatus, jqXHR)
+                {
+                    $("#content").html(data);
+                    init_page();
+                },
+                error: function (jqXHR, textStatus, errorThrown)
+                {
+                    $(".ajaxloading").hide();
+                }
+            });
+            return false;
+        });
+		$('#keyword').bind('input', function(){
+			filter();
+		});
+		
+		$( '.sorting, .sorting_desc, .sorting_asc' ).click(function( index ) {
+			console.log("sort clicked");
+            var current_class=$( this ).attr('class');
+            $(".sorting_desc").attr("class","sorting");
+            $(".sorting_asc").attr("class","sorting");
+     
+            if(current_class=='sorting')
+            {
+                $(this).attr("class","sorting_desc");
+            }
+            else
+            {
+                if(current_class=='sorting_desc')
+                {
+                    $(this).attr("class","sorting_asc");
+                }
+                else
+                    {
+                    if(current_class=='sorting_asc')
+                    {
+                        $(this).attr("class","sorting");
+                    }
+                }
+            }
+            $("#sorting_field").val($(this).attr("id"));
+            $("#sorting_order").val($(this).attr("class"));
+            filter();
+        });
+	}
+	
+	function filter()
+	{
+		$.ajax({
+			url: 'http://viettel.violet.vn/admin/sms_log/trang/1',
+			type: "POST",
+			data: $("#smslog").serialize(),
+			success: function (data, textStatus, jqXHR)
+			{
+				console.log(data);
+				$("#content").html(data);
+				init_page();
+				$("#keyword").focus();
+				$("#keyword").setCursorToTextEnd();
+			},
+			error: function (jqXHR, textStatus, errorThrown)
+			{
+				console.log("ERROR");
+				$(".ajaxloading").hide();
+			}
+        });
+	}
+		
+</script>
+
+<div class="main-content" id="content">
+    <?php echo $content; ?>
+</div><!-- /.main-content -->
+</div><!-- /.main-container-inner -->
+
+<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+    <i class="icon-double-angle-up icon-only bigger-110"></i>
+</a>
+</div><!-- /.main-container -->
+
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs'=>array('assets/js/admin/smslog.js')));
+?>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 426)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 426)
@@ -0,0 +1,169 @@
+<div class="breadcrumbs" id="breadcrumbs">
+	<ul class="breadcrumb">
+		<li>
+			<i class="icon-home home-icon"></i>
+			<a href="#">Trang chá»§</a>
+		</li>
+		<li><a href="#">BÃ¡o cÃ¡o</a></li>
+		<li class="active">SMS logs</li>
+	</ul><!-- .breadcrumb -->
+
+	<div class="nav-search" id="nav-search">
+		<form class="form-search">
+			<span class="input-icon">
+				<input type="text" placeholder="TÃ¬m kiáº¿m ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
+				<i class="icon-search nav-search-icon"></i>
+			</span>
+		</form>
+	</div><!-- #nav-search -->
+</div>
+
+<div class="page-content">
+
+	<div class="row">
+		<div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                Danh sÃ¡ch log
+            </div>
+			<!-- PAGE CONTENT BEGINS -->
+			<div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form onsubmit="return false;" id="smslog" >
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                        <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                            <?php foreach ($itemsoptions as $option) { ?>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <?php } ?>
+                                        </select> báº£n ghi</label>
+
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+                                <div class="dataTables_filter" id="sample-table-2_filter">
+                                    <label>TÃ¬m kiáº¿m: 
+                                        <input type="text" name="keyword" id="keyword" value="<?php echo $keyword;?>" aria-controls="sample-table-2"></label>
+                                </div>
+                            </div>
+                        </div>
+                        <input type="hidden" name="sorting_order" id="sorting_order" value="<?php echo $sorting_order;?>" />
+                        <input type="hidden" name="sorting_field" id="sorting_field" value="<?php echo $sorting_field;?>"/>
+                    </form>
+				<table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+					<thead>
+						<tr>
+							<th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+								<label>
+									<input type="checkbox" class="ace">
+									<span class="lbl"></span>
+								</label>
+								</th>
+							<th class="<?php if ($sorting_field == 'sender') {echo $sorting_order;} else {echo "sorting";} ?>" id="sender" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="NgÆ°á»i gá»­i: activate to sort column ascending">NgÆ°á»i gá»­i</th>
+							<th class="<?php if ($sorting_field == 'us_id') {echo $sorting_order;} else {echo "sorting";} ?>" id="us_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="TÃ i khoáº£n: activate to sort column ascending">TÃ i khoáº£n</th>
+							<th class="<?php if ($sorting_field == 'mobody') {echo $sorting_order;} else {echo "sorting";} ?>" id="mobody" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MO: activate to sort column ascending">MO</th>
+							<th class="<?php if ($sorting_field == 'mtbody') {echo $sorting_order;} else {echo "sorting";} ?>" id="mtbody" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="MT: activate to sort column ascending">MT</th>
+							<th class="<?php if ($sorting_field == 'created_time') {echo $sorting_order;} else {echo "sorting";} ?>" id="created_time" class="hidden-480" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Thá»i gian: activate to sort column ascending">
+								<i class="icon-time bigger-110 hidden-480"></i>
+								Thá»i gian gá»­i
+							</th>
+
+							<th></th>
+						</tr>
+					</thead>
+
+					<tbody role="alert" aria-live="polite" aria-relevant="all">
+						<?php foreach ($smslogs as $smslog): ?>
+						<tr>
+							<td class="center">
+								<label>
+									<input type="checkbox" class="ace" />
+									<span class="lbl"></span>
+								</label>
+							</td>
+
+							<td>
+								<a href="#"><?php echo $smslog['sender']; ?></a>
+							</td>
+							<td><?php echo $smslog['username']; ?></td>
+							<td><?php echo $smslog['mobody']; ?></td>
+							<td><?php echo $smslog['mtbody']; ?></td>
+							<td><?php echo $smslog['created_time']; ?></td>
+
+							<td>
+								<div class="visible-md visible-lg hidden-sm hidden-xs btn-group">
+									<button class="btn btn-xs btn-success">
+										<i class="icon-ok bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-info">
+										<i class="icon-edit bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-danger">
+										<i class="icon-trash bigger-120"></i>
+									</button>
+
+									<button class="btn btn-xs btn-warning">
+										<i class="icon-flag bigger-120"></i>
+									</button>
+								</div>
+
+								<div class="visible-xs visible-sm hidden-md hidden-lg">
+									<div class="inline position-relative">
+										<button class="btn btn-minier btn-primary dropdown-toggle" data-toggle="dropdown">
+											<i class="icon-cog icon-only bigger-110"></i>
+										</button>
+
+										<ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
+											<li>
+												<a href="#" class="tooltip-info" data-rel="tooltip" title="View">
+													<span class="blue">
+														<i class="icon-zoom-in bigger-120"></i>
+													</span>
+												</a>
+											</li>
+
+											<li>
+												<a href="#" class="tooltip-success" data-rel="tooltip" title="Edit">
+													<span class="green">
+														<i class="icon-edit bigger-120"></i>
+													</span>
+												</a>
+											</li>
+
+											<li>
+												<a href="#" class="tooltip-error" data-rel="tooltip" title="Delete">
+													<span class="red">
+														<i class="icon-trash bigger-120"></i>
+													</span>
+												</a>
+											</li>
+										</ul>
+									</div>
+								</div>
+							</td>
+						</tr>
+						<?php endforeach; ?>
+					</tbody>
+				</table>
+				<div class="row"><div class="col-sm-6">
+							<div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                                    
+							</div>
+							<div class="col-sm-6">
+								<div class="dataTables_paginate paging_bootstrap">
+									<ul class="pagination">
+										<?php echo $paging; ?>
+									</ul>
+								</div>
+							</div>
+						</div>
+			</div><!-- /.table-responsive -->
+
+			<!-- PAGE CONTENT ENDS -->
+		</div><!-- /.col -->
+	</div><!-- /.row -->
+</div><!-- /.page-content -->
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 424)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/user/listview.php	(revision 426)
@@ -138,16 +138,17 @@
                             <?php } ?>
 
-                        </tbody></table><div class="row"><div class="col-sm-6">
-                                <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                        </tbody></table>
+						<div class="row"><div class="col-sm-6">
+							<div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
                                     
-                            </div>
-                        <div class="col-sm-6">
-                            <div class="dataTables_paginate paging_bootstrap">
-                                <ul class="pagination">
-                                    <?php echo $paging; ?>
-                                </ul>
-                            </div>
-                        </div>
-                    </div>
+							</div>
+							<div class="col-sm-6">
+								<div class="dataTables_paginate paging_bootstrap">
+									<ul class="pagination">
+										<?php echo $paging; ?>
+									</ul>
+								</div>
+							</div>
+						</div>
 
                 </div>