Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 429)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/cardlog/listview.php	(revision 430)
@@ -71,6 +71,4 @@
 								Thá»i gian náº¡p
 							</th>
-
-							<th></th>
 						</tr>
 					</thead>
@@ -94,58 +92,4 @@
 							<td><?php echo $cardlog['card_value']; ?></td>
 							<td><?php echo $cardlog['created_time']; ?></td>
-
-							<td>
-								<div class="visible-md visible-lg hidden-sm hidden-xs btn-group">
-									<button class="btn btn-xs btn-success">
-										<i class="icon-ok bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-info">
-										<i class="icon-edit bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-danger">
-										<i class="icon-trash bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-warning">
-										<i class="icon-flag bigger-120"></i>
-									</button>
-								</div>
-
-								<div class="visible-xs visible-sm hidden-md hidden-lg">
-									<div class="inline position-relative">
-										<button class="btn btn-minier btn-primary dropdown-toggle" data-toggle="dropdown">
-											<i class="icon-cog icon-only bigger-110"></i>
-										</button>
-
-										<ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
-											<li>
-												<a href="#" class="tooltip-info" data-rel="tooltip" title="View">
-													<span class="blue">
-														<i class="icon-zoom-in bigger-120"></i>
-													</span>
-												</a>
-											</li>
-
-											<li>
-												<a href="#" class="tooltip-success" data-rel="tooltip" title="Edit">
-													<span class="green">
-														<i class="icon-edit bigger-120"></i>
-													</span>
-												</a>
-											</li>
-
-											<li>
-												<a href="#" class="tooltip-error" data-rel="tooltip" title="Delete">
-													<span class="red">
-														<i class="icon-trash bigger-120"></i>
-													</span>
-												</a>
-											</li>
-										</ul>
-									</div>
-								</div>
-							</td>
 						</tr>
 						<?php endforeach; ?>
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 429)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/smslog/listview.php	(revision 430)
@@ -70,6 +70,4 @@
 								Thá»i gian gá»­i
 							</th>
-
-							<th></th>
 						</tr>
 					</thead>
@@ -92,58 +90,4 @@
 							<td><?php echo $smslog['mtbody']; ?></td>
 							<td><?php echo $smslog['created_time']; ?></td>
-
-							<td>
-								<div class="visible-md visible-lg hidden-sm hidden-xs btn-group">
-									<button class="btn btn-xs btn-success">
-										<i class="icon-ok bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-info">
-										<i class="icon-edit bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-danger">
-										<i class="icon-trash bigger-120"></i>
-									</button>
-
-									<button class="btn btn-xs btn-warning">
-										<i class="icon-flag bigger-120"></i>
-									</button>
-								</div>
-
-								<div class="visible-xs visible-sm hidden-md hidden-lg">
-									<div class="inline position-relative">
-										<button class="btn btn-minier btn-primary dropdown-toggle" data-toggle="dropdown">
-											<i class="icon-cog icon-only bigger-110"></i>
-										</button>
-
-										<ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
-											<li>
-												<a href="#" class="tooltip-info" data-rel="tooltip" title="View">
-													<span class="blue">
-														<i class="icon-zoom-in bigger-120"></i>
-													</span>
-												</a>
-											</li>
-
-											<li>
-												<a href="#" class="tooltip-success" data-rel="tooltip" title="Edit">
-													<span class="green">
-														<i class="icon-edit bigger-120"></i>
-													</span>
-												</a>
-											</li>
-
-											<li>
-												<a href="#" class="tooltip-error" data-rel="tooltip" title="Delete">
-													<span class="red">
-														<i class="icon-trash bigger-120"></i>
-													</span>
-												</a>
-											</li>
-										</ul>
-									</div>
-								</div>
-							</td>
 						</tr>
 						<?php endforeach; ?>
Index: /pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 429)
+++ /pro-violet-viettel/sourcecode/application/views/layout/admin/sidebar.php	(revision 430)
@@ -96,18 +96,4 @@
 
 								<li>
-									<a href="report_sms.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu qua SMS
-									</a>
-								</li>
-
-								<li>
-									<a href="report_card.html">
-										<i class="icon-double-angle-right"></i>
-										Doanh thu qua náº¡p tháº» cÃ o
-									</a>
-								</li>
-
-								<li>
 									<a href="report_assistant.html">
 										<i class="icon-double-angle-right"></i>