Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 437)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 441)
@@ -15,6 +15,6 @@
         $admin_info = $this->session->userdata('adminInfo');
         if ($admin_info) {
-            $data['statistics'] = $this->getStatistics();
-            $data['content'] = $this->getSmstemplates();
+            $data['statistics'] = $this->getStatistics();           
+            $data['content'] = $this->getPaidlogs();
             $this->load->view('report/index', $data);
         } else {
@@ -25,7 +25,82 @@
     {
         $data=array();
+        
+        $last_month['start']= strtotime(date("Y-m-d", strtotime("first day of previous month"))." 00:00:00");
+        $last_month['end']= strtotime(date("Y-m-d", strtotime("last day of previous month"))." 23:59:59");
+        
+        $last_week['start']= strtotime(date("Y-m-d", strtotime("first day of previous week"))." 00:00:00");
+        $last_week['end']= strtotime(date("Y-m-d", strtotime("last day of previous week"))." 23:59:59");
+        
+        $last_week['end']=strtotime('last sunday')+(24*60*60-1);
+        $last_week['start']=($last_week['end']-7*24*60*60+1);
+        
+        $last_year['start']=  strtotime((date("Y")-1)."-01-01 00:00:00");
+        $last_year['end']=  strtotime((date("Y")-1)."-12-31 23:59:59");
+        
+        
+        
+        $last_quarter=$this->getLastquarter();
+        $last_quarter['start']=  $last_quarter['start'];
+        $last_quarter['end']=  $last_quarter['end'];
+        
+        
+        $this->load->model('paidlog_model');
+        $paidlogs = $this->paidlog_model->getAllPaidlogs($last_year['start']);
+        
+        $revenue['last_week']=0;
+        $revenue['last_month']=0;
+        $revenue['last_quarter']=0;
+        $revenue['last_year']=0;
+        foreach ($paidlogs as $paidlog)
+        {
+            
+            if (($paidlog['time'] < $last_week['end'])&&($paidlog['time'] > $last_week['start']))
+            {
+                $revenue['last_week']+=$paidlog['amount'];
+            }
+            if (($paidlog['time'] < $last_month['end'])&&($paidlog['time'] > $last_month['start']))
+            {
+                $revenue['last_month']+=$paidlog['amount'];
+            }
+            if (($paidlog['time'] < $last_quarter['end'])&&($paidlog['time'] > $last_quarter['start']))
+            {
+                $revenue['last_quarter']+=$paidlog['amount'];
+            }
+            if (($paidlog['time'] < $last_year['end'])&&($paidlog['time'] > $last_year['start']))
+            {
+                $revenue['last_year']+=$paidlog['amount'];
+            }
+        }
+        $data['revenue']=$revenue;
         return $this->load->view('report/statistics', $data, true);
     }
-    public function getSmstemplates($filters = array()) {
+    public function getLastquarter()
+    {
+        $current_month = date('m');
+          $current_year = date('Y');
+
+          if($current_month>=1 && $current_month<=3)
+          {
+            $start_date = strtotime('1-October-'.($current_year-1));  // timestamp or 1-October Last Year 12:00:00 AM
+            $end_date = strtotime('1-Janauary-'.$current_year);  // // timestamp or 1-January  12:00:00 AM means end of 31 December Last year
+          } 
+          else if($current_month>=4 && $current_month<=6)
+          {
+            $start_date = strtotime('1-January-'.$current_year);  // timestamp or 1-Janauray 12:00:00 AM
+            $end_date = strtotime('1-April-'.$current_year);  // timestamp or 1-April 12:00:00 AM means end of 31 March
+          }
+          else  if($current_month>=7 && $current_month<=9)
+          {
+            $start_date = strtotime('1-April-'.$current_year);  // timestamp or 1-April 12:00:00 AM
+            $end_date = strtotime('1-July-'.$current_year);  // timestamp or 1-July 12:00:00 AM means end of 30 June
+          }
+          else  if($current_month>=10 && $current_month<=12)
+          {
+            $start_date = strtotime('1-July-'.$current_year);  // timestamp or 1-July 12:00:00 AM
+            $end_date = strtotime('1-October-'.$current_year);  // timestamp or 1-October 12:00:00 AM means end of 30 September
+          }
+          return array("start"=>$start_date,"end"=>$end_date);
+    }
+    public function getPaidlogs($filters = array()) {
         $this->load->helper('pagging');
         $this->load->model('paidlog_model');
@@ -58,10 +133,9 @@
         }
         
-        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];
-        $data['total'] = $this->paidlog_model->countSmstemplate($data);  
-       
-        $data['paidlogs'] = $this->paidlog_model->getSmstemplates($data);
-
-        $data['paging_url'] = base_url() . "/admin/mau_tin_nhan/trang/";
+        $data['start'] = ($data['current_page'] - 1) * $data['perpage'];    
+        $data['total'] = $this->paidlog_model->countPaidlog($data);  
+        $data['paidlogs'] = $this->paidlog_model->getPaidlogs($data);
+
+        $data['paging_url'] = base_url() . "/admin/doanh_thu_tong_hop/trang/";
         $data['num_links'] = 2;
         $data['paging'] = pagging($data);
@@ -73,5 +147,5 @@
     }
 
-    public function addSmstemplate() {
+    public function addPaidlog() {
         $result['success'] = 0;
         $result = array();
@@ -124,5 +198,5 @@
         $id=$this->uri->segment(4);
         $this->load->model('paidlog_model');
-        $data=$this->paidlog_model->getSmstemplate($id);
+        $data=$this->paidlog_model->getPaidlog($id);
         $this->load->view('report/viewSms',$data);
     }
@@ -131,5 +205,5 @@
         $id=$this->uri->segment(4);
         $this->load->model('paidlog_model');
-        $data=$this->paidlog_model->getSmstemplate($id);
+        $data=$this->paidlog_model->getPaidlog($id);
         $this->load->view('report/editSms',$data);
     }
@@ -147,5 +221,5 @@
         $id=$this->uri->segment(4);
         $this->load->model('paidlog_model');
-        $data=$this->paidlog_model->getSmstemplate($id);
+        $data=$this->paidlog_model->getPaidlog($id);
         $this->load->view('report/deleteSms',$data);
     }
@@ -198,16 +272,17 @@
     public function test() {
         
-      /*
-        for ($i = 1; $i <= 1500; $i++) {
+      
+        for ($i = 1; $i <= 5000; $i++) {
             $input['us_id']=rand(1,100);
             $input['paid_type']=rand(1,2);
             $input['amount']=rand(3,10)*1000;
-            $time=(rand((time()-(5*30*24*60*60)),time()));
+            $time=(rand((time()-(12*30*24*60*60)),time()));
             $input['paid_time']= date("Y-m-d H:i:s",$time);
             $this->load->model('paidlog_model');
             $this->paidlog_model->insert($input);
         }
-       * 
-       */
+        
+       die(); 
+      
         for ($i = 1; $i <= 100; $i++) {
             $input['us_id']=$i;
Index: pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php	(revision 437)
+++ pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php	(revision 441)
@@ -11,5 +11,5 @@
 		parent::__construct();
 	}
-	function getSmstemplates($data) {
+	function getPaidlogs($data) {
         $sql = "SELECT * FROM " . $this->table_name. " INNER JOIN tbluser ON tbluser.us_id = tblpaidlog.us_id ";
         if ($data['keyword']) {
@@ -50,5 +50,5 @@
     }
 
-    function countSmstemplate($data) {
+    function countPaidlog($data) {
         $sql = "SELECT COUNT(".$this->id_name.") as total FROM " . $this->table_name;
         if ($data['keyword']) {
@@ -62,5 +62,5 @@
         return $result['total']; 
     }
-    function getSmstemplate($id)
+    function getPaidlog($id)
     {
         $sql="SELECT * FROM ".$this->table_name." WHERE ".$this->id_name."=".$id." LIMIT 1";
@@ -68,3 +68,15 @@
         return $result;
     }
+    function getAllPaidlogs($from)
+    {
+        // get all paidlogs from the last years until now
+        $from = date("Y-m-d 00:00:00",$from); 
+        $sql="SELECT * FROM ".$this->table_name." WHERE paid_time > '".$from."'";
+        $result = $this->db->query($sql)->result_array();
+        foreach ($result as $index=>$paidlog)
+        {
+            $result[$index]['time']=  strtotime($paidlog['paid_time']);
+        }
+        return $result;
+    }
 }
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php	(revision 437)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php	(revision 441)
@@ -82,5 +82,5 @@
     {
         $.ajax({
-            url: 'http://viettel.violet.vn/admin/mau_tin_nhan/trang/1',
+            url: 'http://viettel.violet.vn/admin/doanh_thu_tong_hop/trang/1',
             type: "POST",
             data: $("#collaborator").serialize(),
@@ -120,5 +120,5 @@
 			}
 		</style>
-<div class="main-content" id="content">
+<div class="main-content" >
     <div id="breadcrumbs" class="breadcrumbs">
 
@@ -160,9 +160,9 @@
     </div><!-- /.page-header -->
     
-     <div class="row">
-         
-         
-    <?php echo $statistics; ?>     
-    <?php //echo $content; ?>
+     <div class="row">  
+    <?php echo $statistics; ?>   
+     </div>
+     <div class="row" id="content">    
+    <?php echo $content; ?>
      </div>
     </div>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 437)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 441)
@@ -48,9 +48,9 @@
                                     </label>
                                 </th>
-                             
-                                <th class="<?php if ($sorting_field == 'sms_content') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_content" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
-                                <th class="<?php if ($sorting_field == 'sms_reply') {echo $sorting_order;} else {echo "sorting";}?>" id="sms_reply" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
-                                <th class="<?php if ($sorting_field == 'service_id') {echo $sorting_order;} else {echo "sorting";}?>" id="service_id" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» tiá»n</th> 
-                                <th class="<?php if ($sorting_field == 'commandcode') {echo $sorting_order;} else {echo "sorting";}?>" id="commandcode" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">NgÃ y</th>
+                                <th class="<?php if ($sorting_field == 'fullname') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
+                                <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+                                <th class="<?php if ($sorting_field == 'amount') {echo $sorting_order;} else {echo "sorting";}?>" id="amount" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» tiá»n</th> 
+                                <th class="<?php if ($sorting_field == 'paid_type') {echo $sorting_order;} else {echo "sorting";}?>" id="paid_type" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">SMS/Card</th> 
+                                <th class="<?php if ($sorting_field == 'paid_time') {echo $sorting_order;} else {echo "sorting";}?>" id="paid_time" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">NgÃ y</th>
                                   
                         </thead>
@@ -70,10 +70,11 @@
                                 </td>
 
-                                
-                                <td class=" "><?php echo $paidlog['cellphone']?></td>
                                 <td class=" ">
                                     <a href="#">Ho va ten</a>
                                 </td>
+                                <td class=" "><?php echo $paidlog['cellphone']?></td>
+                                
                                 <td class="hidden-480 "><?php echo $paidlog['amount']?></td>
+                                <td class="hidden-480 "><?php if ($paidlog['paid_type']==1) {echo "SMS";} else { echo "Card";}?></td>
                                 <td class=" "><?php echo $paidlog['paid_time']?></td>
 
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/report/statistics.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/report/statistics.php	(revision 437)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/report/statistics.php	(revision 441)
@@ -1,113 +1,87 @@
 <div class="col-xs-12">
-								<!-- PAGE CONTENT BEGINS -->
-								<div class="col-xs-6 no-padding">
-									<div class="widget-box no-border">
-										<div class="widget-header widget-header-flat">
-											<h4 class="lighter">
-												<i class="icon-signal"></i>
-												Doanh thu
-											</h4>
+    <!-- PAGE CONTENT BEGINS -->
+    <div class="col-xs-6 no-padding">
+        <div class="widget-box no-border">
+            <div class="widget-header widget-header-flat">
+                <h4 class="lighter">
+                    <i class="icon-signal"></i>
+                    Doanh thu
+                </h4>
 
-											<div class="widget-toolbar">
-												<a data-action="collapse" href="#">
-													<i class="icon-chevron-up"></i>
-												</a>
-											</div>
-										</div>
-										<div class="widget-body">
-												<div class="table-responsive">
-													<table class="table table-striped table-bordered table-hover" id="sample-table-1">
-														<thead style="background-color: blue">
-															<tr>
-																<th>Thá»i gian</th>
-																<th>Doanh thu</th>
-															</tr>
-														</thead>
+                <div class="widget-toolbar">
+                    <a data-action="collapse" href="#">
+                        <i class="icon-chevron-up"></i>
+                    </a>
+                </div>
+            </div>
+            <div class="widget-body">
+                <div class="table-responsive">
+                    <table class="table table-striped table-bordered table-hover" id="sample-table-1">
+                        <thead style="background-color: blue">
+                            <tr>
+                                <th>Thá»i gian</th>
+                                <th>Doanh thu</th>
+                            </tr>
+                        </thead>
 
-														<tbody>
-															<tr>
-																<td>Tuáº§n trÆ°á»c</td>
-																<td>
-																	$1
-																</td>
-															</tr>
-															<tr>
-																<td>ThÃ¡ng trÆ°á»c</td>
-																<td>
-																	$1111111111
-																</td>
-															</tr>
-															<tr>
-																<td>QuÃœ trÆ°á»c</td>
-																<td>
-																	$1111111111
-																</td>
-															</tr>
-															<tr>
-																<td>NÄm trÆ°á»c</td>
-																<td>
-																	$1111111111
-																</td>
-															</tr>
-														</tbody>
-													</table>
-												</div><!-- /.table-responsive -->
-										</div>
-									</div>
-								</div>
-								
-								<div class="col-xs-6">
-									<div class="widget-box no-border">
-										<div class="widget-header widget-header-flat">
-											<h4 class="lighter">
-												<i class="icon-signal"></i>
-												Biá»u Äá» doanh thu
-											</h4>
+                        <tbody>
+                            <tr>
+                                <td>Tuáº§n trÆ°á»c</td>
+                                <td>
+                                    <?php echo $revenue['last_week'];?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>ThÃ¡ng trÆ°á»c</td>
+                                <td>
+                                    <?php echo $revenue['last_month'];?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>QuÃœ trÆ°á»c</td>
+                                <td>
+                                    <?php echo $revenue['last_quarter'];?>
+                                </td>
+                            </tr>
+                            <tr>
+                                <td>NÄm trÆ°á»c</td>
+                                <td>
+                                    <?php echo $revenue['last_year'];?>
+                                </td>
+                            </tr>
+                        </tbody>
+                    </table>
+                </div><!-- /.table-responsive -->
+            </div>
+        </div>
+    </div>
 
-											<div class="widget-toolbar">
-												<a data-action="collapse" href="#">
-													<i class="icon-chevron-up"></i>
-												</a>
-											</div>
-										</div>
+    <div class="col-xs-6">
+        <div class="widget-box no-border">
+            <div class="widget-header widget-header-flat">
+                <h4 class="lighter">
+                    <i class="icon-signal"></i>
+                    Biá»u Äá» doanh thu
+                </h4>
 
-										<div class="widget-body">
-											<div class="widget-main padding-4">
-												<div id="sales-charts" style="width: 100%; height: 200px; padding: 0px; position: relative;"><canvas class="flot-base" style="direction: ltr; position: absolute; left: 0px; top: 0px; width: 534px; height: 200px;" width="534" height="200"></canvas><div class="flot-text" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; font-size: smaller; color: rgb(84, 84, 84);"><div class="flot-x-axis flot-x1-axis xAxis x1Axis" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; display: block;"><div style="position: absolute; max-width: 76px; top: 184px; left: 29px; text-align: center;" class="flot-tick-label tickLabel">0.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 110px; text-align: center;" class="flot-tick-label tickLabel">1.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 192px; text-align: center;" class="flot-tick-label tickLabel">2.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 274px; text-align: center;" class="flot-tick-label tickLabel">3.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 355px; text-align: center;" class="flot-tick-label tickLabel">4.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 437px; text-align: center;" class="flot-tick-label tickLabel">5.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 519px; text-align: center;" class="flot-tick-label tickLabel">6.0</div></div><div class="flot-y-axis flot-y1-axis yAxis y1Axis" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; display: block;"><div style="position: absolute; top: 172px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-2.000</div><div style="position: absolute; top: 150px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-1.500</div><div style="position: absolute; top: 129px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-1.000</div><div style="position: absolute; top: 107px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-0.500</div><div style="position: absolute; top: 86px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">0.000</div><div style="position: absolute; top: 65px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">0.500</div><div style="position: absolute; top: 43px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">1.000</div><div style="position: absolute; top: 22px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">1.500</div><div style="position: absolute; top: 1px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">2.000</div></div></div><canvas class="flot-overlay" style="direction: ltr; position: absolute; left: 0px; top: 0px; width: 534px; height: 200px;" width="534" height="200"></canvas><div class="legend"><div style="position: absolute; width: 86px; height: 66px; top: 13px; right: 13px; background-color: rgb(255, 255, 255); opacity: 0.85;"> </div><table style="position:absolute;top:13px;right:13px;;font-size:smaller;color:#545454"><tbody><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #1abc9c;overflow:hidden"></div></div></td><td class="legendLabel">SMS</td></tr><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #e67e22;overflow:hidden"></div></div></td><td class="legendLabel">Tháº» cÃ o</td></tr><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #3498db;overflow:hidden"></div></div></td><td class="legendLabel">Cá»ng tÃ¡c viÃªn</td></tr></tbody></table></div></div>
-											</div><!-- /widget-main -->
-										</div><!-- /widget-body -->
-									</div><!-- /widget-box -->
-								</div>
+                <div class="widget-toolbar">
+                    <a data-action="collapse" href="#">
+                        <i class="icon-chevron-up"></i>
+                    </a>
+                </div>
+            </div>
 
-								<div class="clearfix"></div>
+            <div class="widget-body">
+                <div class="widget-main padding-4">
+                    <div id="sales-charts" style="width: 100%; height: 200px; padding: 0px; position: relative;"><canvas class="flot-base" style="direction: ltr; position: absolute; left: 0px; top: 0px; width: 534px; height: 200px;" width="534" height="200"></canvas><div class="flot-text" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; font-size: smaller; color: rgb(84, 84, 84);"><div class="flot-x-axis flot-x1-axis xAxis x1Axis" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; display: block;"><div style="position: absolute; max-width: 76px; top: 184px; left: 29px; text-align: center;" class="flot-tick-label tickLabel">0.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 110px; text-align: center;" class="flot-tick-label tickLabel">1.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 192px; text-align: center;" class="flot-tick-label tickLabel">2.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 274px; text-align: center;" class="flot-tick-label tickLabel">3.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 355px; text-align: center;" class="flot-tick-label tickLabel">4.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 437px; text-align: center;" class="flot-tick-label tickLabel">5.0</div><div style="position: absolute; max-width: 76px; top: 184px; left: 519px; text-align: center;" class="flot-tick-label tickLabel">6.0</div></div><div class="flot-y-axis flot-y1-axis yAxis y1Axis" style="position: absolute; top: 0px; left: 0px; bottom: 0px; right: 0px; display: block;"><div style="position: absolute; top: 172px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-2.000</div><div style="position: absolute; top: 150px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-1.500</div><div style="position: absolute; top: 129px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-1.000</div><div style="position: absolute; top: 107px; left: 1px; text-align: right;" class="flot-tick-label tickLabel">-0.500</div><div style="position: absolute; top: 86px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">0.000</div><div style="position: absolute; top: 65px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">0.500</div><div style="position: absolute; top: 43px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">1.000</div><div style="position: absolute; top: 22px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">1.500</div><div style="position: absolute; top: 1px; left: 4px; text-align: right;" class="flot-tick-label tickLabel">2.000</div></div></div><canvas class="flot-overlay" style="direction: ltr; position: absolute; left: 0px; top: 0px; width: 534px; height: 200px;" width="534" height="200"></canvas><div class="legend"><div style="position: absolute; width: 86px; height: 66px; top: 13px; right: 13px; background-color: rgb(255, 255, 255); opacity: 0.85;"> </div><table style="position:absolute;top:13px;right:13px;;font-size:smaller;color:#545454"><tbody><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #1abc9c;overflow:hidden"></div></div></td><td class="legendLabel">SMS</td></tr><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #e67e22;overflow:hidden"></div></div></td><td class="legendLabel">Tháº» cÃ o</td></tr><tr><td class="legendColorBox"><div style="border:1px solid #ccc;padding:1px"><div style="width:4px;height:0;border:5px solid #3498db;overflow:hidden"></div></div></td><td class="legendLabel">Cá»ng tÃ¡c viÃªn</td></tr></tbody></table></div></div>
+                </div><!-- /widget-main -->
+            </div><!-- /widget-body -->
+        </div><!-- /widget-box -->
+    </div>
 
-								<div style="padding-bottom:4px" class="table-header">
-									Thá»ng kÃª
-								</div>
+    <div class="clearfix"></div>
 
-								<div class="table-responsive">
-									<div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper"><div class="row"><div class="col-sm-6"><div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» <select name="sample-table-2_length" size="1" aria-controls="sample-table-2"><option value="10" selected="selected">10</option><option value="25">25</option><option value="50">50</option><option value="100">100</option></select> báº£n ghi</label></div></div><div class="col-sm-6"><div class="dataTables_filter" id="sample-table-2_filter"><label>TÃ¬m kiáº¿m: <input type="text" aria-controls="sample-table-2"></label></div></div></div><table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
-										<thead>
-											<tr role="row"><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 249px;" aria-label="Sá» Äiá»n thoáº¡i">Sá» Äiá»n thoáº¡i</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 289px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th><th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 196px;" aria-label="Tiá»n: activate to sort column ascending">Tiá»n</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 329px;" aria-label="
-													
-													NgÃ y ÄÄng kÃœ
-												: activate to sort column ascending">
-													<i class="icon-time bigger-110 hidden-480"></i>
-													NgÃ y ÄÄng kÃœ
-												</th></tr>
-										</thead>
 
-										
-									<tbody role="alert" aria-live="polite" aria-relevant="all"><tr class="odd">
-												<td class="  sorting_1">
-													<a href="#">0918273645</a>
-												</td>
-												<td class=" ">Nguyá»
-n VÄn VÄn</td>
-												<td class="hidden-480 ">3,330 VND</td>
-												<td class=" ">12/10/2104</td>
-											</tr></tbody></table><div class="row"><div class="col-sm-6"><div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» 1 Äáº¿n 1 cá»§a 1 báº£n ghi</div></div><div class="col-sm-6"><div class="dataTables_paginate paging_bootstrap"><ul class="pagination"><li class="prev disabled"><a href="#"><i class="icon-double-angle-left"></i></a></li><li class="active"><a href="#">1</a></li><li class="next disabled"><a href="#"><i class="icon-double-angle-right"></i></a></li></ul></div></div></div></div>
-								</div>
 
-								<!-- PAGE CONTENT ENDS -->
-							</div>
+    <!-- PAGE CONTENT ENDS -->
+</div>