Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 441)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/report.php	(revision 442)
@@ -6,4 +6,5 @@
 class Report extends MX_Controller {
 
+    const TOKENPW = 'violet';
     public function __construct() {
         parent::__construct();
@@ -140,5 +141,9 @@
         $data['num_links'] = 2;
         $data['paging'] = pagging($data);
-
+        foreach ($data['paidlogs'] as $index=>$paidlog)
+        {
+        $data['paidlogs'][$index]['username']= @$this->get_username($paidlog['us_id']);
+        }
+      
         if ($this->input->is_ajax_request()) {
             return $this->load->view('report/listview', $data);
@@ -146,4 +151,22 @@
         return $this->load->view('report/listview', $data, true);
     }
+    public function get_username($us_id)
+	{
+        $us_id=33;
+		$src = 'violet';
+		$token = md5($us_id.self::TOKENPW);
+		$this->load->model('user_model');
+		$data = $this->user_model->get_user_info($src, $us_id, $token);
+		if (strlen($data) > 0){
+			$arr_users = explode("&", $data);
+			$str_username = $arr_users[1];
+			$arr_username = explode("=", $str_username);
+			return $arr_username[1];
+		}else
+		{
+			return "";
+		}
+
+	}
 
     public function addPaidlog() {
Index: /pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php	(revision 441)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/models/paidlog_model.php	(revision 442)
@@ -10,4 +10,5 @@
 	{
 		parent::__construct();
+
 	}
 	function getPaidlogs($data) {
@@ -15,8 +16,6 @@
         if ($data['keyword']) {
             if ($data['search_field'] == "cellphone") {
-                $sql.=" WHERE (service_id LIKE '%" . $data['keyword'] . "%')";
-            } else {
-                $sql.=" WHERE (sms_content LIKE '%" . $data['keyword'] . "%' OR sms_reply LIKE '%" . $data['keyword'] . "%') ";
-            }
+                $sql.=" WHERE (cellphone LIKE '%" . $data['keyword'] . "%')";
+            } 
         }
 
@@ -51,12 +50,11 @@
 
     function countPaidlog($data) {
-        $sql = "SELECT COUNT(".$this->id_name.") as total FROM " . $this->table_name;
+        $sql = "SELECT COUNT(".$this->id_name.") as total FROM " . $this->table_name." INNER JOIN tbluser ON tbluser.us_id = tblpaidlog.us_id";
         if ($data['keyword']) {
             if ($data['search_field'] == "cellphone") {
-                $sql.=" WHERE (service_id LIKE '%" . $data['keyword'] . "%')";
-            } else {
-                $sql.=" WHERE (sms_content LIKE '%" . $data['keyword'] . "%' OR sms_reply LIKE '%" . $data['keyword'] . "%') ";
-            }
+                $sql.=" WHERE (cellphone LIKE '%" . $data['keyword'] . "%')";
+            } 
         }
+        
         $result = $this->db->query($sql)->row_array();
         return $result['total']; 
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 441)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 442)
@@ -48,5 +48,5 @@
                                     </label>
                                 </th>
-                                <th class="<?php if ($sorting_field == 'fullname') {echo $sorting_order;} else {echo "sorting";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
+                                <th class="<?php if ($sorting_field == 'fullname') {echo $sorting_order;} else {echo "";}?>" id="full_name" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Há» tÃªn</th>
                                 <th class="<?php if ($sorting_field == 'cellphone') {echo $sorting_order;} else {echo "sorting";}?>" id="cellphone" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 283px;" aria-label="Há» tÃªn: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
                                 <th class="<?php if ($sorting_field == 'amount') {echo $sorting_order;} else {echo "sorting";}?>" id="amount" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» tiá»n</th> 
@@ -71,5 +71,5 @@
 
                                 <td class=" ">
-                                    <a href="#">Ho va ten</a>
+                                    <a href="#"><?php echo $paidlog['username'];?></a>
                                 </td>
                                 <td class=" "><?php echo $paidlog['cellphone']?></td>