Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php	(revision 445)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/report/index.php	(revision 446)
@@ -201,94 +201,5 @@
 
 
-<div id="addSms" class="modal fade in" tabindex="-1">
-     
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header no-padding">
-                <div class="table-header">
-                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
-                        <span class="white">Ã</span>
-                    </button>
-                    Máº«u tin nháº¯n
-                </div>
-            </div>
-
-            <div class="modal-body">
-                <form id="add_sms" onsubmit="return false;" class="form-horizontal" role="form">
-                    
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Máº«u tin nháº¯n </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  name="sms_content" type="text" id="form-field-1" placeholder="Máº«u tin nháº¯n" value="">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Tin tráº£ lá»i </label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input  name="sms_reply" type="text" id="form-field-1" placeholder="Tin tráº£ lá»i"  value="">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ dá»ch vá»¥</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input   name="service_id" type="text" id="form-field-1" placeholder="MÃ£ dá»ch vá»¥"  value="">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    <div class="form-group">
-                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> MÃ£ lá»nh</label>
-
-                        <div class="col-sm-9">
-                            <span class="input-icon">
-                                <input   name="commandcode" type="text" id="form-field-1" placeholder="MÃ£ lá»nh"  value="">
-                                <i class="icon-user blue"></i>
-                            </span>
-                        </div>
-                        <div class="help-block"> </div>
-                    </div>
-                    
-                   
-                    <div class="space-4"></div>
-
-                    
-
-                    <div class="space-4"></div>
-                    <div class="form-group errors" id="add_sms"></div>
-                        
-                    </div>
-                    <div class="clearfix form-actions">
-                        <div class="col-md-offset-3 col-md-9">
-                            <button class="btn btn-info" id="add_sms" type="button">
-                                <i class="icon-ok bigger-110"></i>
-                                HoÃ n táº¥t
-                            </button>
-
-                            &nbsp; &nbsp; &nbsp;
-                            <button class="btn" type="reset">
-                                <i class="icon-undo bigger-110"></i>
-                                XÃ³a háº¿t
-                            </button>
-                        </div>
-                    </div>
-
-                </form></div>
-
-        </div>
-
-    </div><!-- /.modal-content -->
+
 </div><!-- /.modal-dialog -->
 <?php
Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 445)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/report/listview.php	(revision 446)
@@ -5,8 +5,5 @@
             <!-- PAGE CONTENT BEGINS -->
             <div style="padding-bottom:4px" class="table-header">
-                Thá»ng kÃª
-
-              
-
+                Doanh thu
             </div>
 