Index: pro-violet-viettel/sourcecode/api.violet.vn/www/web/.htaccess
===================================================================
--- pro-violet-viettel/sourcecode/api.violet.vn/www/web/.htaccess	(revision 456)
+++ pro-violet-viettel/sourcecode/api.violet.vn/www/web/.htaccess	(revision 457)
@@ -22,5 +22,5 @@
 
   # no, so we redirect to our front web controller
-  RewriteRule ^(.*)$ index.php [QSA,L]
+  RewriteRule ^(.*)$ api.php [QSA,L]
 </IfModule>
 
Index: pro-violet-viettel/sourcecode/application/config/autoload.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/autoload.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/config/autoload.php	(revision 457)
@@ -53,5 +53,5 @@
 */
 
-$autoload['libraries'] = array('curl', 'xml','database', 'vservices','session');
+$autoload['libraries'] = array('curl', 'xml','database', 'vservices','session','nusoap_library');
 
 
Index: pro-violet-viettel/sourcecode/application/config/config.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/config.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/config/config.php	(revision 457)
@@ -372,7 +372,7 @@
 |
 */
-$config['api_url'] = 'http://api.violet.vn';
-
-
+
+$config['api_url'] = 'http://sbgapi.violet.vn/';
+//$config['api_url'] = 'http://api.violet.vn/';
 /*
  |--------------------------------------------------------------------------
@@ -385,4 +385,10 @@
 $config['topup_service_url'] = 'http://10.60.32.252:6068/Service/TopupService.svc?wsdl';
 
+$config['mo_username'] = 'sbg';
+$config['mo_password'] = 'sbg571285';
+
+$config['charging_username'] = 'sbg';
+$config['charging_password'] = 'sbg123#@!';
+
 /* End of file config.php */
 /* Location: ./application/config/config.php */
Index: pro-violet-viettel/sourcecode/application/config/database.php
===================================================================
--- pro-violet-viettel/sourcecode/application/config/database.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/config/database.php	(revision 457)
@@ -50,6 +50,6 @@
 
 $db['default']['hostname'] = 'mysql:host=127.0.0.1';
-$db['default']['username'] = 'root';
-$db['default']['password'] = 'Quyenhue@123';
+$db['default']['username'] = 'root';//sbg
+$db['default']['password'] = '123456';//sbg~~!!@@123
 $db['default']['database'] = 'violet-viettel';
 $db['default']['dbdriver'] = 'pdo';
Index: pro-violet-viettel/sourcecode/application/doctrine.php
===================================================================
--- pro-violet-viettel/sourcecode/application/doctrine.php	(revision 456)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?php
-
-// trailing slash is important!
-define('APPPATH', dirname(__FILE__).DIRECTORY_SEPARATOR);
-define('BASEPATH', APPPATH);
-define('ENVIRONMENT', 'production');
-
-require APPPATH.'libraries/Doctrine.php';
-
-$doctrine = new Doctrine();
- 
-$helperSet = new \Symfony\Component\Console\Helper\HelperSet(array(
-    'db' => new \Doctrine\DBAL\Tools\Console\Helper\ConnectionHelper($doctrine->em->getConnection()),
-    'em' => new \Doctrine\ORM\Tools\Console\Helper\EntityManagerHelper($doctrine->em)
-));
-
-$cli = new \Symfony\Component\Console\Application('Doctrine Command Line Interface (CodeIgniter integration by Joel Verhagen)', Doctrine\ORM\Version::VERSION);
-$cli->setCatchExceptions(true);
-$cli->setHelperSet($helperSet);
-$cli->addCommands(array(
-    // DBAL Commands
-    new \Doctrine\DBAL\Tools\Console\Command\RunSqlCommand(),
-    new \Doctrine\DBAL\Tools\Console\Command\ImportCommand(),
- 
-    // ORM Commands
-    new \Doctrine\ORM\Tools\Console\Command\ClearCache\MetadataCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\ClearCache\ResultCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\ClearCache\QueryCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\SchemaTool\CreateCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\SchemaTool\UpdateCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\SchemaTool\DropCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\EnsureProductionSettingsCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\ConvertDoctrine1SchemaCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\GenerateRepositoriesCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\GenerateEntitiesCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\GenerateProxiesCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\ConvertMappingCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\RunDqlCommand(),
-    new \Doctrine\ORM\Tools\Console\Command\ValidateSchemaCommand(),
- 
-));
-$cli->run();
Index: pro-violet-viettel/sourcecode/application/libraries/vservices.php
===================================================================
--- pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/libraries/vservices.php	(revision 457)
@@ -56,5 +56,10 @@
 		if ($this->_userId) $aryParams['userid'] = $this->_userId;
 		if (count($aryParams) > 0) $this->_curlObj->post($aryParams);
-		return $this->_curlObj->execute();
+		
+		$result = $this->_curlObj->execute(); 
+		
+		write_file('log.txt', var_export($result, true)."\n".var_export($this->_apiUrl. $module .'/'.$action, true)."\n".var_export($aryParams, true));
+		
+		return $result;
 	}
 
Index: pro-violet-viettel/sourcecode/application/models/sms_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/models/sms_model.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/models/sms_model.php	(revision 457)
@@ -17,5 +17,5 @@
 	public function getSMSByServiceId ($serviceId = null) {
 		//return 'Ban da dang ky thanh cong thue bao VIP cua Soan bai giang. Mat khau de dang nhap la xxxx! Xin cam on!';
-		return 'SMS test!';
+		return 'SMS test! - Host: '.$_SERVER['HTTP_HOST'];
 	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 457)
@@ -31,5 +31,5 @@
             <small>
                 <i class="icon-double-angle-right"></i>
-                thá»ng kÃª tÃ i khoáº£n
+                Danh sÃ¡ch
             </small>
         </h1>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/index.php	(revision 457)
@@ -9,5 +9,4 @@
 							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
 						</script>
-
 						<ul class="breadcrumb">
 							<li>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/home.php	(revision 457)
@@ -9,5 +9,4 @@
 class Home extends MX_Controller 
 {
-	
 	const TOKENPW = 'violet';
 	
@@ -43,6 +42,8 @@
 		$autologin = ($this->input->post('remember_me') == 'on') ? 1 : 0;
 		$token = md5($username.self::TOKENPW);
+		
 		$this->load->model(array('user_model'));
 		$data = $this->user_model->checkLogin('violet', $token, $username, $password);
+		
 		if ($data == null)
 		{
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 457)
@@ -66,5 +66,5 @@
 	}
 
-	function register ($sentNumber, $receiverID, $serviceID, $commandcode, $info, $receiveTime)
+	function register ($sentNumber, $receiverID, $serviceID, $commandcode, $info, $receiveTime, &$status='')
 	{
 		//1. check collaborator info if $receiverID existed
@@ -93,5 +93,5 @@
 		switch($status)
 		{
-			case "0":
+			case 0:
 				$us_id = (int)substr($data, 12);
 				$user['created_time'] = $receiveTime;
@@ -109,10 +109,10 @@
 				$this->db->insert('tblsmslog', $smslog);
 				$sms = "Chuc mung Qui vi da dang ky thanh cong tai khoan Soan Bai giang Online.
-					Hay dang nhap vao http://soanbaigiang.smas.vn/ voi ten truy nhap [".$username."], mat khau [".$password."] de su dung.";
+					Hay dang nhap vao http://soanbaigiang.smas.vn/ voi ten truy nhap ".$username.", mat khau ".$password." de su dung.";
 				return $sms;
-			case "2":
+			case 2:
 				$sms = "Tai khoan cua Qui vi da duoc dang ky !";			
 				return $sms;
-			case "4":
+			case 4:
 				$sms = "So dien thoai cá»§a Qui vi da duoc dang ky !";
 				return $sms;
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/sendmessage.php	(revision 457)
@@ -9,5 +9,6 @@
 class Sendmessage extends MX_Controller 
 {
-	
+	private $_xmlHeader = "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		
 	public function __construct() 
 	{
@@ -15,5 +16,47 @@
 	}
 	
-	public function send()
+	public function testmo() {
+		$url = 'http://10.58.38.162/violetservice/soanbai/mo';
+		//$url = 'http://viettel.violet.vn/violetservice/soanbai/mo';
+		$aryParams = array(
+				'username' => 'sbg',
+				'password' => 'sbg571285',
+				'requestID' => '4',
+				'userID' => '841662860000',
+				'receiverID' => '84988568786',
+				'serviceID' => '8062',
+				'commandCode' => 'SBG',
+				'contentType' => '0',
+				'info' => 'SBG DK',
+				'receiveTime' => date('Ymd H:i:s')
+		);
+		
+		$client = new nusoap_client($url, false);
+		$client->useHTTPPersistentConnection();
+		$xml = $this->load->view('mo', null, true);
+		
+		$operator = 'MOReceiver';
+		$operation = 'http://tempuri.org/MOReceiver';
+
+		$client->soap_defencoding = 'UTF-8';
+		$client->operation = $operation;
+		$result = $client->send($this->_xmlHeader.$xml, $operation);		
+		
+		//$result = $client->call('MOReceiver', $aryParams ,$operator ,$operation);
+		
+		$err = $client->getError();
+			
+		if ($err) {
+			echo '<p><b>Error: ' . $err . '</b></p>';
+		}
+		
+		echo "<br/>";
+		echo "<h2>Request</h2>";
+		echo "<pre>" . htmlspecialchars($client->request, ENT_QUOTES) . "</pre>";
+		echo "<h2>Response</h2>";
+		echo "<pre>" . htmlspecialchars($client->response, ENT_QUOTES) . "</pre>";		
+	}
+	
+	public function send($msg)
 	{
 		$url = $this->config->item('mt_service_url');
@@ -22,6 +65,5 @@
 		$operator = 'InsertMT';
 		$operation = 'http://tempuri.org/InsertMT';
-		$xmlHeader = '<?xml version="1.0" encoding="utf-8" ?>'."\n";
-	
+			
 		$aryParams = array(
 				'User' => $username,
@@ -34,5 +76,5 @@
 				'CommandCode' => 'SBG',
 				'ContentType' => '0',
-				'Info' => 'SMS test! - Host: '.$_SERVER['HTTP_HOST'].' - '. date('Y-m-d H:i:s')//'Test MT '. date('Y-m-d H:i:s'),
+				'Info' => urldecode($msg).' - Host: '.$_SERVER['HTTP_HOST'].' - '. date('Y-m-d H:i:s')//'Test MT '. date('Y-m-d H:i:s'),
 		);
 	
@@ -43,5 +85,5 @@
 		$client->operation = $operation;
 	
-		$result = $client->send($xmlHeader.$xml, $operation);
+		$result = $client->send($this->_xmlHeader.$xml, $operation);
 		$err = $client->getError();
 			
@@ -56,4 +98,77 @@
 		echo "<pre>" . htmlspecialchars($client->response, ENT_QUOTES) . "</pre>";
 	
-	}	
+	}
+	
+	public function topup () 
+	{
+		$url = $this->config->item('topup_service_url');
+		$operator = 'TopupService';
+		$operation = 'http://tempuri.org/ITopupService/TopUp';
+		
+		$username = 'sbg';
+		$password = 'sbg56ab77cdsgb';
+		
+		$aryParams = array(
+			'EWalletID' => 0,
+			'CardSerial' => '11111',
+			'PinCard' => 'eeeeeeeee'
+		);
+		
+		$xml = $this->load->view('topup', $aryParams, true);
+		$client = new nusoap_client($url);
+		$client->useHTTPPersistentConnection();
+		$client->soap_defencoding = 'UTF-8';
+		$client->operation = $operation;
+		
+		$result = $client->send($this->_xmlHeader.$xml, $operation);
+		$err = $client->getError();
+			
+		if ($err) {
+			echo '<p><b>Error: ' . $err . '</b></p>';
+		}
+		
+		echo "<br/>";
+		echo "<h2>Request</h2>";
+		echo "<pre>" . htmlspecialchars($client->request, ENT_QUOTES) . "</pre>";
+		echo "<h2>Response</h2>";
+		echo "<pre>" . htmlspecialchars($client->response, ENT_QUOTES) . "</pre>";		
+	}
+	
+	public function charging ()
+	{
+		$url = $this->config->item('charging_service_url');
+		
+		$username = $this->config->item('charging_username');
+		$password = $this->config->item('charging_password');
+		
+		$operator = 'processCharging';
+		$operation = 'http://tempuri.org/processCharging';
+		
+		$aryParams = array(
+				'user' => $username,
+				'pass' => $password,
+				'MSISDN' => '1689925260',
+				'Charging' => '100',
+				'Contents' => 'Namta-Active'
+		);
+		
+		$xml = $this->load->view('charging', $aryParams, true);
+		$client = new nusoap_client($url);
+		$client->useHTTPPersistentConnection();
+		$client->soap_defencoding = 'UTF-8';
+		$client->operation = $operation;
+		
+		$result = $client->send($this->_xmlHeader.$xml, $operation);
+		$err = $client->getError();
+			
+		if ($err) {
+			echo '<p><b>Error: ' . $err . '</b></p>';
+		}
+		
+		echo "<br/>";
+		echo "<h2>Request</h2>";
+		echo "<pre>" . htmlspecialchars($client->request, ENT_QUOTES) . "</pre>";
+		echo "<h2>Response</h2>";
+		echo "<pre>" . htmlspecialchars($client->response, ENT_QUOTES) . "</pre>";		
+	}
 }
Index: pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 456)
+++ pro-violet-viettel/sourcecode/application/modules/services/controllers/viettel.php	(revision 457)
@@ -10,48 +10,101 @@
 {
 	
-	public function __construct() 
-	{
-		parent::__construct();
+	function __construct() {
+		parent::__construct ();
+		$this->nusoap_server = new soap_server ();
+		$this->nusoap_server->configureWSDL('messageReceiver', 'urn:messageReceiver');
+		$this->nusoap_server->soap_defencoding = 'UTF-8';
+		$this->nusoap_server->methodreturnisliteral=TRUE;
+		
+		$this->nusoap_server->wsdl->addComplexType(
+				'messageReceiver',
+				'simpleType',
+				'struct',
+				'',
+				'SOAP-ENC:Array',
+				array(
+						'username'=>array('name'=>'username', 'type'=>'xsd:string'),
+						'password'=>array('name'=>'password', 'type'=>'xsd:string'),
+						'requestID'=>array('name'=>'requestID', 'type'=>'xsd:string'),
+						'userID'=>array('name'=>'userID', 'type'=>'xsd:string'),
+						'receiverID'=>array('name'=>'receiverID', 'type'=>'xsd:string'),
+						'serviceID'=>array('name'=>'serviceID', 'type'=>'xsd:string'),
+						'commandCode'=>array('name'=>'commandCode', 'type'=>'xsd:string'),
+						'info'=>array('name'=>'info', 'type'=>'xsd:string'),
+						'receiveTime'=>array('name'=>'receiveTime', 'type'=>'xsd:string')
+				)
+		);
+		
+		$this->nusoap_server->register ( 'MOReceiver', 
+				array( 'username' => 'xsd:string',
+						'password' => 'xsd:string',
+						'requestID' => 'xsd:string',
+						'userID' => 'xsd:string',
+						'receiverID' => 'xsd:string',
+						'serviceID' => 'xsd:string',
+						'commandCode' => 'xsd:string',
+						'info' => 'xsd:string',
+						'receiveTime' => 'xsd:string')
+				, array ('return' => 'xsd:string'),false,false
+				,'rpc'				
+				);
 	}
 
-	public function index() 
-	{
-		$this->load->view ( 'main');
+	function index() {
+		if($this->uri->segment(3) == "wsdl") {
+			$_SERVER['QUERY_STRING'] = "wsdl";
+		} else {
+			$_SERVER['QUERY_STRING'] = "";
+		}
+		$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA:'';
+		$this->nusoap_server->service($HTTP_RAW_POST_DATA);
 	}
 	
 	public function mo() 
 	{
-		$aryParams = array();
-		$aryParamsName = array(	'username',
-								'password',
-								'requestID',
-								'userID',
-								'receiverID',
-								'serviceID',
-								'commandCode',
-								'info',
-								'receiveTime');
-		
-		foreach ($aryParams as $key => $value) {
-			$aryParams[$value] =  $this->input->post($value,TRUE);
+		function MOReceiver($username, $password, $requestID, $userID, $receiverID, $serviceID, $commandCode, $info,$receiveTime){
+			$msgType = '0'; //text message
+			$errCode = '1'; //#1:error; 1:Success;
+			
+			$CI =& get_instance();			
+			$mo_username = $CI->config->item('mo_username');
+			$mo_password = $CI->config->item('mo_password');
+
+			/* if (!isset($parameters['username'])) return '0|0|Username is required!';
+			if (!isset($parameters['password'])) return '0|0|Password is required!';
+			if ($parameters['username'] != $mo_username) return '0|0|Username is not corrected!'.var_export($parameters, true);
+			if ($parameters['password'] != $mo_password) return '0|0|Password is not corrected!';
+			if (!isset($parameters['userID'])) return '0|0|UserID is required!';
+			if (!isset($parameters['userID'])) return '0|0|UserID is required!';
+			if (!isset($parameters['serviceID'])) return '0|0|serviceID is required!';
+			if ($parameters['serviceID'] != '8062') return '0|0|serviceID is not corrected!'; */
+			
+			if (!$username) return '0|0|Username is required!';
+			if (!$password) return '0|0|Password is required!';
+			if ($username != $mo_username) return '0|0|Username is not corrected!';
+			if ($password != $mo_password) return '0|0|Password is not corrected!';
+			if (!$requestID) return '0|0|requestID is required!';
+			if (!$userID) return '0|0|UserID is required!';
+			if (!$serviceID) return '0|0|serviceID is required!';
+			if ($serviceID != '8062') return '0|0|serviceID is not corrected!';
+						
+			$sentNumber = $userID;									
+			$username = !$receiverID ? $sentNumber : $receiverID;
+			
+			$CI->load->model('frontend/user_model', 'userModel');
+			$password = $CI->userModel->create_random_password();
+			$sms = "Chuc mung Qui vi da dang ky thanh cong tai khoan SBGOnline. Hay dang nhap vao http://soanbaigiang.smas.vn/ voi ten truy nhap ".$username.", mat khau ".$password." de su dung.";			
+			//$msg = $CI->userModel->register ($sentNumber, $receiverID, $serviceID, $commandCode, $info, $receiveTime, $status);
+			
+			//return $status.'|'.$msgType.'|'.$msg;
+
+			//for dummy data
+			return '1|0|'.$sms;
 		}
 		
-		$this->load->model('Sms_model', 'objSMS');
-		
-		$separator = '|';
-		$errCode = 1;
-		$messageType = 0;
-		$message = $this->objSMS->getSMSByServiceId();;
-		
-		header('Content-type:text/html');
-		echo $errCode,$separator,$messageType,$separator,$message;
-	}
-	
-	public function mt() 
-	{
-		
+		$this->nusoap_server->service(file_get_contents("php://input"));
 	}
 }
 
 /* End of file viettel.php */
-/* Location: ./application/modules/service/controllers/viettel.php */
+/* Location: ./application/modules/service/controllers/viettel.php */ 
Index: pro-violet-viettel/sourcecode/application/modules/services/views/charging.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/views/charging.php	(revision 457)
+++ pro-violet-viettel/sourcecode/application/modules/services/views/charging.php	(revision 457)
@@ -0,0 +1,11 @@
+<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
+  <soap:Body>
+    <processCharging xmlns="http://tempuri.org/">
+      <user><?php echo $user?></user>
+      <pass><?php echo $pass?></pass>
+      <MSISDN><?php echo $MSISDN?></MSISDN>
+      <Charging><?php echo $Charging?></Charging>
+      <Contents><?php echo $Contents?></Contents>
+    </processCharging>
+  </soap:Body>
+</soap:Envelope>
Index: pro-violet-viettel/sourcecode/application/modules/services/views/mo.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/views/mo.php	(revision 457)
+++ pro-violet-viettel/sourcecode/application/modules/services/views/mo.php	(revision 457)
@@ -0,0 +1,16 @@
+<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
+  <soap:Body>
+    <MOReceiver xmlns="http://tempuri.org/">
+      <username>sbg</username>
+      <password>sbg571285</password>    
+      <RequestID>4</RequestID>
+      <UserID>841662860000</UserID>
+      <ReceiveID>84988568786</ReceiveID>
+      <ServiceID>8062</ServiceID>
+      <CommandCode>SBG</CommandCode>
+      <ContentType>0</ContentType>
+      <Info>SBG DK</Info>
+      <ReceiveTime><?php echo date('Ymd H:i:s') ?></ReceiveTime>
+    </MOReceiver>
+  </soap:Body>
+</soap:Envelope>
Index: pro-violet-viettel/sourcecode/application/modules/services/views/mt.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/views/mt.php	(revision 457)
+++ pro-violet-viettel/sourcecode/application/modules/services/views/mt.php	(revision 457)
@@ -0,0 +1,16 @@
+<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
+  <soap:Body>
+    <InsertMT xmlns="http://tempuri.org/">
+      <User><?php echo $User;?></User>
+      <Pass><?php echo $Pass;?></Pass>
+      <CPCode><?php echo $CPCode;?></CPCode>
+      <RequestID><?php echo $RequestID;?></RequestID>
+      <UserID><?php echo $UserID;?></UserID>
+      <ReceiveID><?php echo $ReceiverID;?></ReceiveID>
+      <ServiceID><?php echo $ServiceID;?></ServiceID>
+      <CommandCode><?php echo $CommandCode;?></CommandCode>
+      <ContentType><?php echo $ContentType;?></ContentType>
+      <Info><?php echo $Info;?></Info>
+    </InsertMT>
+  </soap:Body>
+</soap:Envelope>
Index: pro-violet-viettel/sourcecode/application/modules/services/views/topup.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/services/views/topup.php	(revision 457)
+++ pro-violet-viettel/sourcecode/application/modules/services/views/topup.php	(revision 457)
@@ -0,0 +1,9 @@
+<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
+  <soap:Body>
+    <TopupService xmlns="http://tempuri.org/">
+      <EWalletID><?php echo $EWalletID?></EWalletID>
+      <CardSerial><?php echo $CardSerial?></CardSerial>
+      <PinCard><?php echo $PinCard?></PinCard>
+    </TopupService>
+  </soap:Body>
+</soap:Envelope>